# $Revision: 1.46 $, $Date: 2010/08/25 06:12:28 $
Summary:	LibMPEG3 - decoding of many many derivatives of MPEG standards
Summary(pl.UTF-8):	LibMPEG3 - dekodowanie wielu alternatywnych standardów MPEG
Name:		libmpeg3
Version:	1.8
Release:	2
License:	GPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/heroines/%{name}-%{version}-src.tar.bz2
# Source0-md5:	a9d0d34e8941a4437eb8e7dfe559eca1
Patch0:		%{name}-acam.patch
URL:		http://heroinewarrior.com/libmpeg3.php3
BuildRequires:	a52dec-libs-devel >= 0.7.3
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
%ifarch i586 i686 athlon
BuildRequires:	nasm
%endif
Requires:	a52dec-libs >= 0.7.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibMPEG3 decodes the many many derivatives of MPEG standards into
uncompressed data suitable for editing and playback.

libmpeg3 currently decodes:
 - MPEG-1 Layer II Audio
 - MPEG-1 Layer III Audio
 - MPEG-2 Layer III Audio
 - MPEG-1 program streams
 - MPEG-2 program streams
 - MPEG-2 transport streams
 - AC3 Audio
 - MPEG-2 Video
 - MPEG-1 Video
 - IFO files
 - VOB files

%description -l pl.UTF-8
LibMPEG3 dekoduje wiele odmian standardu MPEG w nieskompresowany
strumień, który łatwo jest odtwarzać lub modyfikować. Aktualnie
potrafi dekodować: dźwięk MPEG-1 Layer II i III oraz MPEG-2 Layer 3,
strumienie MPEG-1 i MPEG-2, dźwięk AC3, obraz MPEG-1 i MPEG-2, pliki
IFO oraz VOB.

%package devel
Summary:	Header files for developing programs using libmpeg3
Summary(pl.UTF-8):	Pliki nagłówkowe do rozwijania programów używających libmpeg3
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	a52dec-libs-devel >= 0.7.3

%description devel
This package is all you need to develop programs that handle the
various video and audio file formats supported by libmpeg3.

%description devel -l pl.UTF-8
Ten pakiet to wszystko czego potrzebujesz by rozwijać programy
obsługujące różne formaty plików wideo oraz audio wspierane przez
libmpeg3.

%package static
Summary:	Static libmpeg3 library
Summary(pl.UTF-8):	Statyczna biblioteka libmpeg3
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmpeg3 library.

%description static -l pl.UTF-8
Statyczna biblioteka libmpeg3.

%package progs
Summary:	libmpeg3 utility programs
Summary(pl.UTF-8):	programy użytkowe
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs
This package includes various utility programs for manipulating MPEG
files for use by libmpeg3 programs.

%description progs -l pl.UTF-8
Ten pakiet zawiera różne programy narzędziowe do manipulowania plikami
MPEG.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
CFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer}"
%configure \
%ifarch i586 i686 athlon
	--enable-mmx
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmpeg3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmpeg3.so.1

%files devel
%defattr(644,root,root,755)
%doc docs/index.html
%attr(755,root,root) %{_libdir}/libmpeg3.so
%{_libdir}/libmpeg3.la
%{_includedir}/libmpeg3

%files static
%defattr(644,root,root,755)
%{_libdir}/libmpeg3.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmpeg3.spec,v $
Revision 1.46  2010/08/25 06:12:28  glen
- release 2

Revision 1.45  2008/08/27 20:50:51  qboosh
- updated to 1.8
- updated acam patch

Revision 1.44  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.43  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.42  2007/01/04 16:13:15  arekm
- rel 2

Revision 1.41  2006/07/04 22:04:36  qboosh
- updated to 1.7, updated acam patch

Revision 1.40  2005/10/11 18:34:58  qboosh
- updated to 1.6, updated acam patch

Revision 1.39  2004/10/28 18:12:49  qboosh
- pl fix

Revision 1.38  2004/02/19 23:27:56  grzegol
- updated to 1.5.4
- removed outdated declaration patch
- strict internal requires

Revision 1.37  2003/11/12 21:23:17  qboosh
- BR nasm only on x86

Revision 1.36  2003/11/12 18:56:28  qboosh
- 1.5.3, updated declaration patch, removed obsolete pthread,int64 patches

Revision 1.35  2003/10/02 15:02:40  qboosh
- fixed URL

Revision 1.34  2003/08/12 09:02:23  trojan
- updated to 1.5.2

Revision 1.33  2003/06/29 15:19:24  blues
- cosmetics

Revision 1.32  2003/06/01 12:11:39  mmazur
- rel. 3
- goto ankry

Revision 1.31  2003/06/01 11:50:42  mmazur
- added -int64 and -declaration patches
- rel. 2
- goto ankry

Revision 1.30  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.29  2003/05/25 05:49:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/05/13 08:42:07  trojan
- updated to 1.5.1

Revision 1.27  2003/04/01 09:17:43  areq
- s/a52-libs-devel/a52dec-libs-devel/

Revision 1.26  2003/03/24 17:31:18  qboosh
- BR, -devel R: a52dec-libs-devel

Revision 1.25  2003/03/19 16:48:30  qrczak
- libmpeg3-pthread.patch: #include <pthread.h>
- Release 2.

Revision 1.24  2003/02/27 23:15:58  qboosh
- updated to 1.5.0 (newer than 1.5, needed by new quicktime4linux)
- replaced install+opt+shared patches by acam patch
  (it was easier to add full ac/am/lt support than to clean this mess)

Revision 1.23  2002/12/13 22:46:55  ankry
- adapterized

Revision 1.22  2002/09/02 10:26:57  qboosh
- fixed build on alpha (changed opt patch), release 4

Revision 1.21  2002/04/16 22:37:53  marcus
- rel.3.

Revision 1.20  2002/04/05 23:15:49  qboosh
- fixed and simplified file list, removed gzipping html doc
- use optflags and MMX on x86 (seems to have good runtime CPU detection)
- better install patch, added opt patch
- (updated) shared patch is back (shared lib was broken!)
- release 2

Revision 1.19  2002/04/03 06:39:11  pioklo
- typo in %%files section

Revision 1.18  2002/04/02 08:38:28  pioklo
- up to 1.5

Revision 1.17  2002/03/26 07:03:07  kloczek
- release 6: fixed configure script parameters
  (s/--nommx/--no-mmx; s/--nocss/--no-css/)

Revision 1.16  2002/03/02 07:35:35  kloczek
- reelase 5: fixed build for non-ix86 archs.

Revision 1.15  2002/03/02 04:56:06  kloczek
- cosmetics.

Revision 1.14  2002/03/01 20:30:14  wrobell
- fix shared library version
- corrected URIs
- rel. 4
- stb

Revision 1.13  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.12  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/02 20:23:36  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.10  2002/02/01 14:51:48  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.9  2002/01/18 02:13:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/11/28 11:16:56  wrobell
- it does not depend on X11 stuff
- rel. 3, stbr

Revision 1.7  2001/09/27 08:41:32  migo
- adapterized

Revision 1.6  2001/04/30 16:05:20  kloczek
- added using %%{rpmcflags} macro.

Revision 1.5  2001/02/13 14:23:05  kloczek
- release 2.

Revision 1.4  2001/02/13 02:24:41  qboosh
- ugly workaround for gcc (which won't allocate ebx when compiling PIC)
(asm code looks good - but please test it, I don't have MMX)

Revision 1.3  2001/02/10 22:26:26  misiek
enable asm optimalizations. One file need to be fixed... anyone here with asm knowledge?

Revision 1.2  2001/02/10 22:08:03  misiek
1.2.3; adapterized; stb

Revision 1.1  2000/11/20 12:53:53  baggins
- initial revision
